Bug 439209 - False FAIL in libuser src.rpm testsuite
False FAIL in libuser src.rpm testsuite
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libuser (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 11:28 EDT by Petr Muller
Modified: 2016-09-19 22:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-28 06:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Muller 2008-03-27 11:28:22 EDT
Description of problem: It seems that tests/pwhash_test testcase doesn't get 
exec permissions during build process, which results to this when doing 'make 
check':

/bin/sh: line 8: ./tests/pwhash_test: Permission denied
FAIL: tests/pwhash_test

After 'chmod a+x tests/pwhash_test', the test runs fine and PASSes

Version-Release number of selected component (if applicable):
libuser-0.54.7-2.el5.5.src.rpm

How reproducible:
always

Steps to Reproduce:
1. rpm -Uhv libuser-0.54.7-2.el5.5.src.rpm
2. rpmbuild -bc /usr/src/redhat/SPECS/libuser.spec
3. cd /usr/src/redhat/BUILD/libuser-0.54.7
4. make check
  
Actual results:
/bin/sh: line 8: ./tests/pwhash_test: Permission denied
FAIL: tests/pwhash_test
(...)
===================
1 of 5 tests failed
===================

Expected results:

PASS: tests/pwhash_test
==================
All 5 tests passed
==================

Additional info:
This is very very low priority, but could save us confusion when testing next 
release, and is probably easy to fix.
Comment 1 Miloslav Trmač 2008-03-28 06:10:24 EDT
Bitten by patch(1), which doesn't preserve permissions.  Worked around in
RHEL5.2 CVS, in Fedora pwhash_test is in the tarball and has the correct
permissions.

Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.